package id.iiyh.inatrading.feature.cart.domain

import id.iiyh.inatrading.feature.cart.data.model.CartGroup

interface CartRepository {
    suspend fun getCartGroups(): Result<List<CartGroup>>
    suspend fun getCartCount(): Result<Int>
    suspend fun updateCartQuantity(
        cartItemId: String,
        quantityDelta: Int,
    ): Result<Unit>
    suspend fun addToCart(
        sellerId: String,
        productModelId: String,
        warehouseId: String,
        quantity: Int = 1,
        productMeasurementId: String = "",
    ): Result<Unit>
}
